Skip to main content
GET
/
v1
/
polygon
/
validators
/
{validator_id}
/
performance
Get validator performance metrics
curl --request GET \
  --url https://api.rated.network/v1/polygon/validators/{validator_id}/performance \
  --header 'Authorization: Bearer <token>'
{
  "previous": "<string>",
  "next": "<string>",
  "pages": 1,
  "results": [
    {
      "checkpointSignatureDuties": 1,
      "checkpointSignatures": 1,
      "checkpointProposalDuties": 1,
      "checkpointProposals": 1,
      "borProposalDuties": 1,
      "borProposals": 1,
      "checkpointSigningRate": 1,
      "checkpointProposalRate": 1,
      "borProposalRate": 1,
      "effectiveness": 1,
      "checkpoint": 1,
      "timestamp": "2023-12-25",
      "day": "2023-12-25",
      "fromCheckpoint": 1,
      "toCheckpoint": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rated.network/llms.txt

Use this file to discover all available pages before exploring further.

Polygon on the Rated API is under maintenancePlease check our changelog for the latest updates.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

validator_id
integer
required
Required range: x >= 0

Query Parameters

limit
integer
default:10

The number of results returned per page

offset
integer
default:0

The number of results to skip before starting to return

from
to
unknown
granularity
enum<string> | null
Available options:
checkpoint,
day

Response

Successful Response

previous
string | null
required
next
string | null
required
pages
integer
required
Required range: x >= 0
results
PolygonValidatorPerformance · object[]
required